import { combineReducers } from 'redux';
import { reducer as form } from 'redux-form';

import signIn from './auth/signIn';
import signUp from './auth/signUp';

import category from './admin/getCategory';
import newCategory from './admin/createCategory';
import topicId from './admin/test/createTopics';
import topic from './admin/test/getTopic';
import deleteTopic from './admin/test/deleteTopic';
import deleteQuestion from './admin/test/deleteQuestion';
import  initialValues from './admin/initialValues';
import arrayAnswers from './admin/test/getAnswers'

import changeCategory from './admin/changeCategory';
import arrayQuestions from './admin/test/getQuestions'
import chageLoginReducer from './user/chageLogin';
import changeEmailReducer from './user/changeEmail';
import myUser from './user/myUser'
import users from './admin/getUsers'

export default combineReducers({
    signIn,
    chageLoginReducer,
    changeEmailReducer,
    form,
    category,
    changeCategory,
    newCategory,
    topicId,
    myUser,
    users,
    topic,
    arrayQuestions,
    deleteTopic,
    deleteQuestion,
    initialValues, 
    arrayAnswers
})