import React from 'react';
import { Field, reduxForm } from 'redux-form';
import formInput from '../../common/formInput'



class ChangeCategory extends React.Component {

    submit = ({ name }) => {
        const { actions: { changeCategoryRequest }, categorys: { id } } = this.props;
        console.log(
        changeCategoryRequest({
            name,
            id
        }).payload)
    }

    render() {
        const { handleSubmit, handlers:{changeCategoryClick}} = this.props;
        const { submit } = this;

        return (

            <form onSubmin={handleSubmit(submit)}>
                <Field name="name" type="name" placeholder="Change Category" component={formInput} />
                <button type="button" className="link link--btn right" onClick={
                    function () {
                        
                        handleSubmit(submit)();
                    }
                }
                >
                    Search
                </button>
            </form >

        )
    }

}



export default reduxForm({
    form: "changeCategoryForm",
})(ChangeCategory);