import React from 'react';
import { connect } from 'react-redux';
import { bindActionCreators } from 'redux'
import { getUserRequest } from '../../../actions/admin/user/getUser';
import { changeUserRequest } from '../../../actions/admin/user/changeUser';
import ChangeUser from './changeUsers';
import DeleteUserForm from './DeleteUserForm/index'



class DeleteUser extends React.Component {
    state = {
        initialValues: null,
        flag: false
    }
    componentDidMount() {
        const { getUserRequest } = this.props;
        getUserRequest()

    }
    handelClick = ({ el }) => {
        this.setState({ initialValues: el });
        this.setState((prevState) => ({ flag: !prevState.flag }))
    }

    render() {
        const { handelClick } = this
        const { users: { user }, changeUserRequest } = this.props;
        const { initialValues, flag } = this.state;
        console.log(initialValues, console.log(user))


        return (
            <div className=" profile-page d-flex flex-row font-ci padding ">
                <div className='w-50 p-3 bg-rgba border rounded'  >
                    <div class="list-group">

                        {user && user.map(el =>
                            <button type="button" class=" list-group-item-action mb-4 borber bg-rgba1 border-0 text-white font-ci font-ci-bold " id={el._id} onClick={handelClick.bind(null, { el })}>{el.email}</button>
                        )}
                    </div>
                </div>
                <div className='w-50 p-3 bg-rgba ml-3 border rounded'  >
                    <DeleteUserForm></DeleteUserForm>
                    {
                        flag
                            ?
                            <ChangeUser initialValues={initialValues} action={{ changeUserRequest }} ></ChangeUser>
                            : null
                    }
                </div>
            </div>
        )
    }

}

const
    mapStateToProps = state => ({
        users: state.users,
    });

const mapDispatchToProps = dispatch => bindActionCreators({ getUserRequest, changeUserRequest }, dispatch);

export default connect(mapStateToProps, mapDispatchToProps)(DeleteUser);