import React, { Component } from "react";
import { Modal } from "antd";
import { Field, reduxForm } from 'redux-form';
import formInput from '../../common/formInput'

class EditModal extends React.Component {
    state = {
        clicked: false
    }
    submit = (payload) => {
        const { actions: { changeTestRequest } } = this.props;
        changeTestRequest({ payload })
        console.log(payload)
    }
    changeQuestion = (event) => {
        const { value, name} = event.target
        // const { actions: { getAnswersRequest } } = this.props;
        console.log(event.target.valus, value)
        // getAnswersRequest({ value })
        this.setState((prevState) => ({ clicked: !prevState.clicked }))
    }
    render() {
        const { visible, handleClose: { closeModal }, inputData, editLoads, initialValues, arrayQuestions: { questions, _id }, answers, handlers: { handelClick }, click, handleSubmit } = this.props;
        const { submit } = this
        const { clicked } = this.state
        console.log(initialValues)
        return (
            <Modal footer={false} title="Basic Modal" visible={visible} onCancel={closeModal} >
                <form onSubmit={handleSubmit(submit)}>
                    <Field name="name" type="name" component={formInput} />
                    <Field name="description" type="description" component={formInput} />


                    <select class="custom-select bg-mist bg-mist-op text-white mt-3 mb-3" onChange={this.changeQuestion} >
                        <option selected>Question</option>
                        {questions !== null
                            ?
                            questions.map(el =>
                                <option key={el._id} name={el._id} value={el.question}>{el.question}</option>


                            )
                            : null
                        }
                    </select>
                    {
                        clicked
                        ?
                        <React.Fragment>
                        <Field name ="question" type ="question" component ={formInput}/>
                        <Field name ="simple" type ="checkbox" component ={formInput}/>
                        </React.Fragment>
                        :null
                    }
                    <ul class="list-group list-group-flush">

                        {
                            answers !== null
                                ?
                                answers.map(el =>

                                    !click
                                        ?
                                        <React.Fragment>
                                            <li class="list-group-item" key={el._id} id={el._id}>{el.answer}</li>
                                            <button type="button" onClick={handelClick.bind(null, { el })}>Change</button>
                                            <button type="button">Delete</button>
                                        </React.Fragment>
                                        :
                                        <React.Fragment>
                                            <Field name="answer" type="answer" component={formInput} />
                                            <Field name="corrent" type="checkbox" component={formInput} />
                                            <Field name="price" type="price" component={formInput} />
                                            {/* <button onClick={handelClick.bind(null, { el })}>Change</button>
                                    <button>Delete</button> */}
                                        </React.Fragment>
                                )
                                :
                                null
                        }
                        <button>create</button>
                    </ul>
                </form>
            </Modal>
        );
    }
}

export default reduxForm({
    form: "editModal",
    enableReinitialize: true
})(EditModal)